Name:           pioneers
Version:        0.12.3
Release:        3%{?dist}
Summary:        Turnbased board strategy game (colonize an island)
Group:          Amusements/Games
License:        GPLv2+
URL:            http://pio.sourceforge.net/
Source0:        http://downloads.sourceforge.net/pio/%{name}-%{version}.tar.gz
Patch0:         pioneers-0.12.1-sanitize.patch
Patch1:		pioneers-0.12.3-dso.patch
Patch2:		pioneers-0.12.2-namechange.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libgnome-devel gtk2-devel gettext scrollkeeper intltool
BuildRequires:  perl(XML::Parser) desktop-file-utils
Requires:       hicolor-icon-theme
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
Pioneers is a computerized version of a well known strategy board game. The
goal of the game is to colonize an island. The players play the first
colonists hence the name pioneers.

Pioneers is a networkbased multiplayer game, this package contains the GUI
client as well as both a GUI and CLI version of the server for local games.


%package editor
Summary:        Pioneers Game Editor
Group:          Amusements/Games
Requires:       pioneers = %{version}-%{release}

%description editor
Pioneers is a computerized version of a well known strategy board game. The
goal of the game is to colonize an island. The players play the first
colinists hence the name pioneers.

The game editor allows maps and game descriptions to be created and
edited graphically.


%prep
%setup -q
%patch0 -p1 -z .sanitize
%patch1 -p1 -z .dso
%patch2 -p1 -z .namechange
	

%build
# pioneers uses some GNU extensions
export CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

# Remove the too much like the original splashscreen
rm $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}/splash.png

# Reinstall the .desktop files
desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}-editor.desktop \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}-server.desktop


%check
if grep Catan `find $RPM_BUILD_ROOT ! -path "$RPM_BUILD_ROOT/usr/src/debug*"`;
  then
  exit 1
fi


%clean
rm -rf $RPM_BUILD_ROOT


%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

%postun
scrollkeeper-update -q || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README NEWS
%{_bindir}/%{name}
%{_bindir}/%{name}ai
%{_bindir}/%{name}-meta-server
%{_bindir}/%{name}-server-console
%{_bindir}/%{name}-server-gtk
%{_datadir}/games/%{name}
%{_datadir}/pixmaps/%{name}
%{_datadir}/omf/%{name}
%{_datadir}/gnome/help/%{name}
%{_mandir}/man6/%{name}*.6.gz
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/applications/fedora-%{name}-server.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}-server.png

%files editor
%defattr(-,root,root,-)
%{_bindir}/%{name}-editor
%{_datadir}/applications/fedora-%{name}-editor.desktop
%{_datadir}/pixmaps/%{name}-editor.png


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Aug  5 2010 Paul W. Frields <stickster@gmail.com> - 0.12.3-2
- Fix callback for name changes (#594858)

* Mon Feb 15 2010 Paul W. Frields <stickster@gmail.com> - 0.12.3-1
- New upstream release 0.12.3
- Add patch for new default linker DSO behavior

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Sep  7 2008 Hans de Goede <hdegoede@redhat.com> 0.12.2-2
- Fix patch fuzz build failure

* Fri May  2 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.12.2-1
- New upstream release 0.12.2

* Mon Apr 28 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.12.1-1
- New upstream release 0.12.1

* Wed Feb 13 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.11.3-4
- Fix building with latest glibc
- Rebuild for gcc-4.3

* Tue Dec 11 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.11.3-3
- Fix CVE-2007-6010 (potential server DOS)

* Thu Nov 29 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.11.3-2
- Also sanitize the .po files just to be sure
- Remove bogus pkgdatadir argument to make install
- Add %%check section
- Leave the icons in /usr/share/pixmaps so that the window icons work

* Tue Nov 27 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.11.3-1
- Initial Fedora Package
